Next Previous Contents

## 3.23 bgcolor

> Function

>   Set the background text color.

> Header

>   `conio.h`

> Declaration

>   `unsigned char __fastcall__ bgcolor (unsigned char color);`

> Description

>   The function will set a new background color and return the old (current) one. The background color is valid for the whole text output area of the screen, not just for new text.

> Limits

>   - Background colors are system dependent. The function may have no effect on systems where the background color cannot be changed.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   bordercolor, textcolor

> Example

>   None.

Next Previous Contents